###############
# General AWS #
###############
data "aws_partition" "current" {
}

data "aws_region" "current" {
}

data "aws_caller_identity" "current" {
}

###################
# Parameter Store #
###################

data "aws_ssm_parameter" "infrastructure_environment" {
  name = "/core/account/platform-env"
}

data "aws_ssm_parameter" "cp" {
  name = "/services/account/cloudprovider"
}

data "aws_ssm_parameters_by_path" "account" {
  path = "/core/account"
}

data "aws_ssm_parameter" "account_environment" {
  name = "/core/account/environment"
}

data "aws_ssm_parameter" "version_map" {
  name = "RDS_ORACLE_VERSION_MAP"
}

##############
# Networking #
##############
##-- Get VPC --##
data "aws_vpc" "vpc" {
  filter {
    name   = "tag:Name"
    values = [local.default_vpc_label]
  }
}

data "aws_backup_vault" "core-immutable"{
  name = "core-immutable"
}
data "aws_iam_role" "core-backup-runner" {
  name = "core-backups-job-runner"
}

