locals {
  module_name = "rds-oracle"
  module_version = trimspace(file("${path.module}/version.txt"))
  module_instance_id = random_id.module-instance-id.hex
  # var.tags cannot override core tags
  tags = data.atlas_tags.main.tags
  backup_tags   = ( local.backup_vault_retention == "NOBACKUP" ) ? { "CORE_BACKUPS_RETENTION" = "NOBACKUP" } : {"CORE_BACKUPS_RETENTION" = "PITRBACKUP"}
  instance_tags = merge(var.tags, data.atlas_tags.main.tags, data.atlas_tags.main.legacy_tags, local.backup_tags, local.other_mandatory_tags)
}
