#########################################################
# Create Subnet Group, Parameter Group and Option Group #
#########################################################

locals {
  # Networking
  default_vpc_label = "Spoke VPC"
  private_subnets = ["PrivateSubnet01", "PrivateSubnet02"]
  subnet_ids = (var.use_private_subnets == true && var.targeted_private_subnet_ids == null ) ? local.private_subnet_ids : (var.use_private_subnets == true && var.targeted_private_subnet_ids != null ) ? flatten([var.targeted_private_subnet_ids]) : local.public_subnet_ids
  public_subnet_ids         = flatten(distinct([for s in data.aws_route_table.public_subnet_based_on_cidr : s.associations.*.subnet_id]))
  private_subnet_ids        = flatten([data.aws_subnet.private_subnet_ids.*.id])
}

resource "aws_db_subnet_group" "default" {
  name        = "${var.db_identifier_name}-subnet-group"
  description = format("Subnet Group for %s", var.db_identifier_name)
  subnet_ids  = local.subnet_ids
  tags        = var.tags
}