resource "random_id" "module-instance-id" {
  byte_length = 6
}

data "atlas_tags" "main" {
  module_name        = local.module_name
  module_version     = local.module_version
  module_instance_id = local.module_instance_id
  cp                 = data.aws_ssm_parameter.cp.value
  account_params     = zipmap(data.aws_ssm_parameters_by_path.account.names, data.aws_ssm_parameters_by_path.account.values)
  user_tags          = var.tags
}
